List Rive graphics
GET/v2/themes/{themeId}/rive-graphics
GET
/v2/themes/{themeId}/rive-graphics
const url = 'https://api.ligr.live/rest/v2/themes/1/rive-graphics';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v2/themes/1/rive-graphics \ --header 'Authorization: Bearer <token>'Beta. This operation can change between minor versions. See Beta status.
List working Rive graphics in an owned theme.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”themeId
required
number format: double
Responses
Section titled “Responses”Ok
Media typeapplication/json
Array<object>
object
graphicId
required
string
name
required
string
sports
required
Array<string>
updatedAt
required
string
publishedVersions
required
Published versions in ascending order.
Array<number>
lock
required
object
holder
required
string
expiresAt
required
string
Examplegenerated
[ { "graphicId": "example", "name": "example", "sports": [ "example" ], "updatedAt": "example", "publishedVersions": [ 1 ], "lock": { "holder": "example", "expiresAt": "example" } }]Invalid Rive request
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Theme, import, graphic, version, or file not found
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive import or graphic state conflict
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive candidate or source is no longer available
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive file or configuration cannot be used
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive source imports are unavailable
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}